%% Generic Handclapping staff.

% DrumVoice.drumStyleTable
% For each line: symbol notehead-style script vertical-position
#(define handyclaps '((handclap slash #t 0)))

\ifDefinedThen #'clapMusic
  \new DrumStaff = Clap <<
    \new DrumVoice = "clap" {
      \set DrumStaff.instrumentName =
        #(if (defined? 'clapName) clapName "")

      % Staff with one line.
      \override Staff.StaffSymbol #'line-positions = #'( 0 )
      \override Staff.BarLine #'bar-size = #3

      % Associate with our style.
      \set DrumVoice.drumStyleTable = #(alist->hash-table handyclaps)

      % The contents.
      \ifDefined #'global
      \ifDefined #'clapMusic
    }
  >>
