%% -*- coding: utf-8 -*-

\version "2.10.20"

\header {
  title = "titel"
  subtitle = "artiest, jaar"
  composer = "Compositie: ..."
  arranger = "Bewerking: ..."
  date = "..."
  dedication = ""
  tagline = \markup {
    \tiny "© 2008 XpLOOsion — wwww.xploosion.nl — Typesetting: Johan vromans m.b.v. Rosegarden en Lilypond"
  }
}

\include "a4paper.ly"
\include "staff14.ly"
%\include "noindent.ly"
%\include "lyricssans.ly"
\include "ifdefined.ly"
\include "makeunfold.ly"
%\include "noheadings.ly"

global = {
  \key c \major
  \time 4/4
  \tempo 4 = 120
}

%% The voices: solo lead high med low choir.
%% Each has a Music and a Words part, e.g. highMusic and highWords.
%% Unused parts must be removed.
%% If multiple stanzas are needed, just add a xxxAWords, xxxBWords, ...

leadMusic = \relative c' {
  % See below @ allMusic.
  % \override Score.BarNumber #'minimum-Y-extent = #'(-1.2 . 2.4)
  c4 c c8[( b)] c4
}
leadWords = \lyrics {
  hi hi hi hi
}

highMusic = \relative c' {
  r4 f d e
}
highWords = \lyrics {
  ha ha ha
}

medMusic = \relative c' {
  g4 a f g
}
medWords = \lyrics {
  hu hu hu hu
}

lowMusic = \relative c' {
  c4 c g c
}
lowWords = \lyrics {
  ho ho ho ho
}

harmonics = \chordmode {
  c2 g
}

% Create metronome ticks. This example assumes 4/4 .
ticktock = \drummode {
  \makeUnfold \unfoldRepeats \harmonics {
    hiwoodblock 4 lowoodblock lowoodblock lowoodblock
  }
}

allMusic = {
  % When using ChoirStaff or StaffGroup the barnumber should be raised
  % slightly. . See @ leadMusic.
  %\new ChoirStaff
  %\new StaffGroup
  <<
    \include "allstaffs.ly"
  >>
}

%% Generate the printed score.
\score {
  \removeWithTag #'midiOnly \allMusic
  \layout {
    \context {
      % To remove empty staffs:
      % \RemoveEmptyStaffContext 
      % To use the setting globally, uncomment the following line:
      % \override VerticalAxisGroup #'remove-first = ##t
    }
    \context {
      \Staff
      \override TimeSignature #'style = #'()
      \remove "Time_signature_engraver"
      %\remove "Metronome_mark_engraver"
    }
  }
}

%% Generate the MIDI.
\score {
  \removeWithTag #'scoreOnly \unfoldRepeats \allMusic
  \midi {
  }
}
