% From: "Neil Puttock" <n.puttock@gmail.com>
%
% Usage:
%	\makeUnfold \refPiece \oneBarOfMusic
%
% Repeats \oneBarOfMusic for the length of \refPiece.

makeUnfold =
#(define-music-function (parser location name mus) (ly:music? ly:music?)
  (let ((r (make-repeated-music "unfold")))
    (set! (ly:music-property r 'element) mus)
    (set! (ly:music-property r 'repeat-count)
          (ly:moment-main-numerator (ly:music-length name)))
    r))

% Do not use
% (ly:moment-main-numerator (ly:music-length (unfold-repeats name)))
